extends Area2D

const Explosion = preload("res://Explosion.tscn")

var velocidad = 200

func _physics_process(delta):
	position += transform.y * velocidad * delta

func _on_Laser_body_entered(body):
	var b = Explosion.instance()
	get_parent().add_child(b)
	b.get_node("Sprite").transform = global_transform
	if body.has_method("crear_explosion"):
		body.crear_explosion()
	#body.queue_free()
	queue_free()

func _on_VisibilityNotifier2D_viewport_exited(_viewport):
	queue_free()
