extends KinematicBody2D

var direccion
var velocidad = 200
var destino
var llegue = false

signal astronauta_listo

func _ready():
	var _asl = self.connect("astronauta_listo", get_parent(), "astronauta_ha_abordado")
	if direccion == "derecha":
		$AnimatedSprite.flip_h = true

func _physics_process(_delta):
	if llegue == false and position.distance_to(destino) > 5:
		#position = position.move_toward(destino, delta * velocidad)
		var _velocidad_movimiento = move_and_slide(position.direction_to(destino) * velocidad)
	else:
		llegue = true
		if $Listo.is_stopped():
			$Listo.start()

func _on_Listo_timeout():
	emit_signal("astronauta_listo")
	queue_free()
