extends KinematicBody2D

var destino = null
var velocidad
var velocidad_rotacion
var rotando = false

var rng = RandomNumberGenerator.new()

func _ready():
	rng.randomize()
	velocidad = rng.randi_range(20, 100)
	velocidad_rotacion = rng.randf_range(1, 3)
	var escala = rng.randf_range(0.5, 1)
	if rotando == false:
		set_rotation(rng.randf_range(0, 2 * PI))
	scale = Vector2(escala, escala)
	add_to_group("meteoros")

func _physics_process(delta):
	if destino != null and  position.distance_to(destino) > 5:
		var _velocidad_movimiento = move_and_slide(position.direction_to(destino) * velocidad)
		if rotando:
			rotation += delta * velocidad_rotacion
	else:
		queue_free()
